> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pay.plexos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Webhook



## OpenAPI

````yaml PATCH /v1/webhooks/{id}
openapi: 3.1.0
info:
  title: Plexos Pay API
  description: Mobile Money Payment Gateway for African Markets
  version: 1.0.0
  contact:
    name: Plexos Pay
    url: https://plexospay.com
servers:
  - url: https://api.plexospay.com
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/webhooks/{id}:
    patch:
      tags:
        - Webhooks
      summary: Update a webhook endpoint
      operationId: updateWebhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                events:
                  type: array
                  items:
                    type: string
                status:
                  $ref: '#/components/schemas/WebhookStatus'
                description:
                  type: string
      responses:
        '200':
          description: Webhook updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
components:
  schemas:
    WebhookStatus:
      type: string
      enum:
        - ACTIVE
        - DISABLED
    Webhook:
      type: object
      properties:
        id:
          type: string
          example: we_abc123
        url:
          type: string
        events:
          type: array
          items:
            type: string
        status:
          $ref: '#/components/schemas/WebhookStatus'
        description:
          type: string
          nullable: true
        secret:
          type: string
          description: Only returned on creation
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key starting with `sk_live_` or `sk_test_`

````